# INFJ

A Python package that provides the `infj` complex number literal (0+∞j).

## Overview

`infj` is a simple yet useful Python package that defines a complex number literal with zero real part and infinite imaginary part. This can be useful in mathematical computations involving complex infinity.

`infj` is also known as the INFJ Personality Type in the Myers-Briggs Type Indicator (MBTI).

## Installation

You can install `infj` using pip:

```bash
pip install infj
```

## Usage

```python
from infj import infj

# Basic usage
print(infj)  # Output: infj
print(type(infj))  # Output: <class 'complex'>

# Mathematical properties
print(infj.real)  # 0.0
print(infj.imag)  # inf

# Comparisons
print(infj == complex(0, float('inf')))  # True

# Mathematical operations
from math import inf

result = inf + infj
print(result)  # (inf+infj)
```

## Requirements

- Python 3.6 or higher
- No external dependencies (uses only standard library)

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request. For major changes, please open an issue first to discuss what you would like to change.

## License

This project is licensed under the WTFPL License - see the [LICENSE](LICENSE) file for details.

## Author

KoolShow - `<koolshowtec@gmail.com>`
